<?php 
class EVFocus extends AppEvento{
	
	protected $accion;
	protected $_select_contenido;
	public function __construct($evento, $select_contenido = false){
		
		$this->_select_contenido = $select_contenido;
		parent::__construct($evento);
	}
	
	public function renderEvento(){

		$script = '$("'. $this->padre->identificadorScript() .'").focus()'.($this->_select_contenido ? '.select()':'').';';
		
		return $script;
	}
	
	
} 